{
	"input": {
		"name": "Input settings"
	},

	"input.buffer": {
		"name": "Enable input buffering",
		"type": "boolean"
	},

	"input.touchscreen": {
		"name": "Touchscreen settings"
	},

	"input.touchscreen.crosspad": {
		"name": "Crosspad mode"
	},
	"input.touchscreen.crosspad.enabled": {
		"name": "Enable crosspad",
		"type": "boolean",
		"excludes": [
			"input.touchscreen.joystick.enabled",
			"input.touchscreen.swipe.enabled"
		]
	},
	"input.touchscreen.crosspad.overlay": {
		"name": "Show overlay",
		"type": "boolean",
		"parent": "input.touchscreen.crosspad.enabled"
	},

	"input.touchscreen.joystick": {
		"name": "Joystick mode"
	},
	"input.touchscreen.joystick.enabled": {
		"name": "Enable joystick",
		"type": "boolean",
		"excludes": [
			"input.touchscreen.crosspad.enabled",
			"input.touchscreen.swipe.enabled"
		]
	},
	"input.touchscreen.joystick.overlay": {
		"name": "Show overlay",
		"type": "boolean",
		"parent": "input.touchscreen.joystick.enabled"
	},
	"input.touchscreen.joystick.deadzone": {
		"name": "Deadzone",
		"type": "number",
		"parent": "input.touchscreen.joystick.enabled",
		"bounds": {
			"min": 1,
			"max": 100,
			"inc": 1
		}
	},

	"input.touchscreen.swipe": {
		"name": "Swipe mode"
	},
	"input.touchscreen.swipe.enabled": {
		"name": "Enable swipe",
		"type": "boolean",
		"excludes": [
			"input.touchscreen.crosspad.enabled",
			"input.touchscreen.joystick.enabled"
		]
	},
	"input.touchscreen.swipe.deadzone": {
		"name": "Deadzone",
		"type": "number",
		"parent": "input.touchscreen.swipe.enabled",
		"bounds": {
			"min": 1,
			"max": 100,
			"inc": 1
		}
	},

	"input.gamepad": {
		"name": "Gamepad settings"
	},
	"input.gamepad.enabled": {
		"name": "Enable gamepad",
		"type": "boolean"
	},
	"input.gamepad.deadzone": {
		"name": "Deadzone",
		"type": "number",
		"parent": "input.gamepad.enabled",
		"bounds": {
			"min": 0,
			"max": 1,
			"inc": 0.1
		}
	},

	"input.keyboard": {
		"name": "Keyboard settings"
	},
	"input.keyboard.enabled": {
		"name": "Enable keyboard",
		"type": "boolean"
	},

	"appearance": {
		"name": "Appearance"
	},
	"appearance.grid": {
		"name": "Grid type",
		"type": "choice",
		"bounds": {
			"choices": [
				"none",
				"grid",
				"checkerboard"
			]
		}
	},
	"appearance.timer": {
		"name": "Timer display",
		"type": "choice",
		"bounds": {
			"choices": [
				"none",
				"border",
				"number",
				"both"
			]
		}
	}
}
